B10-STATS(8)

NAME
b10-stats - BIND 10 statistics module

SYNOPSIS

b10-stats [-v] [--verbose]

DESCRIPTION

The b10-stats is a daemon forked by bind10. Stats module collects statistics data from each module and reports statistics information via bindctl. It communicates by using the Command Channel by b10-msgq with other modules like bind10, b10-auth and so on. It waits for coming data from other modules, then other modules send data to stats module periodically. Other modules send stats data to stats module independently from implementation of stats module, so the frequency of sending data may not be constant. Stats module collects data and aggregates it. b10-stats invokes an internal command for bind10 after its initial starting because it's sure to collect statistics data from bind10.

OPTIONS

The arguments are as follows:

-v, --verbose
    This b10-stats switches to verbose mode. It sends verbose messages to STDOUT.

CONFIGURATION AND COMMANDS

The b10-stats command does not have any configurable settings.

The configuration commands are:

remove removes the named statistics name and data.

reset will reset all statistics data to default values except for constant names. This may re-add previously removed statistics names.

set

show will send the statistics data in JSON format. By default, it outputs all the statistics data it has collected. An optional item name may be specified to receive individual output.

shutdown will shutdown the b10-stats process. (Note that the bind10 parent may restart it.)

status simply indicates that the daemon is running.

STATISTICS DATA

The b10-stats daemon contains these statistics:

report_time
    The latest report date and time in ISO 8601 format.

stats.boot_time
    The date and time when this daemon was started in ISO 8601 format. This is a constant which can't be reset except by restarting b10-stats.

stats.last_update_time
    The date and time (in ISO 8601 format) when this daemon last received data from another component.

stats.lname
    This is the name used for the b10-msgq command-control channel. (This is a constant which can't be reset except by restarting b10-stats.)

stats.start_time
    This is the date and time (in ISO 8601 format) when this daemon started collecting data.

stats.timestamp
    The current date and time represented in seconds since UNIX epoch (1970-01-01T0 0:00:00Z) with precision (delimited with a period) up to one hundred thousandth of second.

See other manual pages for explanations for their statistics that are kept track by b10-stats.

FILES

/usr/local/share/bind10-devel/stats.spec — This is a spec file for b10-stats. It contains commands for b10-stats. They can be invoked via bindctl(1).

SEE ALSO

b10-stats-httpd(8), bind10(8), bindctl(1), b10-auth(8), BIND 10 Guide.

HISTORY

The b10-stats daemon was initially designed and implemented by Naoki Kambe of JPRS in October 2010.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")